<lib-table
	#table
	[autoColumns]="autoColumns"
	[columnsToDisplay]="displayedColumns"
	[pageSizeOptions]="[10, 20, 50, 100]"
	[dataSourceFunction]="participantService.list.bind(participantService)"
	matSort
	matSortDirection="desc"
	[matSortActive]="displayedColumns[0]"
	filterLabel="{{ 'transl.simple.filter' | translate }}"
>
	<ng-container matColumnDef="actions">
		<th mat-header-cell *matHeaderCellDef>{{ 'transl.simple.actions' | translate }}</th>
		<td mat-cell *matCellDef="let item">
			<button
				mat-icon-button
				[attr.aria-label]="'transl.simple.edit' | translate"
				[matTooltip]="'transl.simple.edit' | translate"
				(click)="tenantService.navigateToTenant(['participants', item._id])"
			>
				<mat-icon>edit</mat-icon>
			</button>
			<button mat-icon-button aria-label="Delete" color="warn" matTooltip="{{ 'transl.simple.delete' | translate }}" (click)="delete(item)">
				<mat-icon>delete</mat-icon>
			</button>
		</td>
	</ng-container>
</lib-table>

<button class="fab" mat-fab color="accent" (click)="tenantService.navigateToTenant(['participants', 'create'])">
	<mat-icon>add</mat-icon>
</button>
